> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Simulated Device



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/org/{org_id}/device-simulator/devices
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/device-simulator/devices:
    post:
      tags:
        - Device Simulator
      summary: Create Simulated Device
      operationId: integrations_api_api_v2_device_simulator_create_simulated_device
      parameters:
        - in: path
          name: org_id
          schema:
            format: uuid
            title: Org Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInverterInput'
        required: true
      responses:
        '200':
          description: OK
      security:
        - OAuth2: []
components:
  schemas:
    CreateInverterInput:
      additionalProperties: false
      properties:
        request_id:
          format: uuid
          title: Request Id
          type: string
        device_type:
          const: inv
          default: inv
          title: Device Type
          type: string
        name:
          default: Simulated inverter
          maxLength: 120
          minLength: 1
          pattern: \S
          title: Name
          type: string
        household_profile:
          default: mixed
          maxLength: 64
          minLength: 1
          title: Household Profile
          type: string
        has_ev:
          title: Has Ev
          type: boolean
        history_days:
          default: 0
          maximum: 90
          minimum: 0
          title: History Days
          type: integer
        pv_rating_kw:
          anyOf:
            - maximum: 1000
              minimum: 0
              type: number
            - type: 'null'
          title: Pv Rating Kw
        battery_capacity_kwh:
          anyOf:
            - maximum: 1000
              minimum: 0.1
              type: number
            - type: 'null'
          title: Battery Capacity Kwh
        max_charge_power_w:
          anyOf:
            - maximum: 1000000
              minimum: 0
              type: integer
            - type: 'null'
          title: Max Charge Power W
        max_discharge_power_w:
          anyOf:
            - maximum: 1000000
              minimum: 0
              type: integer
            - type: 'null'
          title: Max Discharge Power W
        initial_soc_percent:
          anyOf:
            - maximum: 100
              minimum: 0
              type: number
            - type: 'null'
          title: Initial Soc Percent
        annual_consumption_kwh:
          anyOf:
            - exclusiveMinimum: 0
              maximum: 1000000
              type: number
            - type: 'null'
          title: Annual Consumption Kwh
        annual_consumption_with_ev_kwh:
          anyOf:
            - exclusiveMinimum: 0
              maximum: 1000000
              type: number
            - type: 'null'
          title: Annual Consumption With Ev Kwh
      required:
        - request_id
      title: CreateInverterInput
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````